Package org.flowable.batch.api

# Interface BatchService

public interface BatchService
Service which provides access to batch entities.

Author:
  Tijs Rademakers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Batch`
  `completeBatch(String batchId, String status)`
  `BatchPart`
  `completeBatchPart(String batchPartId, String status, String resultJson)`
  `BatchBuilder`
  `createBatchBuilder()`
  `BatchPart`
  `createBatchPart(Batch batch, String status, String scopeId, String subScopeId, String scopeType)`
  `void`
  `deleteBatch(String batchId)`
  `long`
  `findBatchCountByQueryCriteria(BatchQuery batchQuery)`
  `List<Batch>`
  `findBatchesByQueryCriteria(BatchQuery batchQuery)`
  `List<Batch>`
  `findBatchesBySearchKey(String searchKey)`
  `List<BatchPart>`
  `findBatchPartsByBatchId(String batchId)`
  `List<BatchPart>`
  `findBatchPartsByBatchIdAndStatus(String batchId, String status)`
  `List<BatchPart>`
  `findBatchPartsByScopeIdAndType(String scopeId, String scopeType)`
  `List<Batch>`
  `getAllBatches()`
  `Batch`
  `getBatch(String id)`
  `BatchPart`
  `getBatchPart(String id)`
  `void`
  `insertBatch(Batch batch)`
  `Batch`
  `updateBatch(Batch batch)`

- ## Method Details

  - ### getBatch

    Batch getBatch(String id)

  - ### getAllBatches

    List<Batch> getAllBatches()

  - ### findBatchesBySearchKey

    List<Batch> findBatchesBySearchKey(String searchKey)

  - ### findBatchesByQueryCriteria

    List<Batch> findBatchesByQueryCriteria(BatchQuery batchQuery)

  - ### findBatchCountByQueryCriteria

    long findBatchCountByQueryCriteria(BatchQuery batchQuery)

  - ### createBatchBuilder

    BatchBuilder createBatchBuilder()

  - ### insertBatch

    void insertBatch(Batch batch)

  - ### updateBatch

    Batch updateBatch(Batch batch)

  - ### deleteBatch

    void deleteBatch(String batchId)

  - ### getBatchPart

    BatchPart getBatchPart(String id)

  - ### findBatchPartsByBatchId

    List<BatchPart> findBatchPartsByBatchId(String batchId)

  - ### findBatchPartsByBatchIdAndStatus

    List<BatchPart> findBatchPartsByBatchIdAndStatus(String batchId, String status)

  - ### findBatchPartsByScopeIdAndType

    List<BatchPart> findBatchPartsByScopeIdAndType(String scopeId, String scopeType)

  - ### createBatchPart

    BatchPart createBatchPart(Batch batch, String status, String scopeId, String subScopeId, String scopeType)

  - ### completeBatchPart

    BatchPart completeBatchPart(String batchPartId, String status, String resultJson)

  - ### completeBatch

    Batch completeBatch(String batchId, String status)